## kwordquiz 22.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "22")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kwordquiz VERSION ${RELEASE_SERVICE_VERSION})

if(NOT MSVC)
    set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-Wall -Wno-switch -O2 -g")
    set(CMAKE_CXX_FLAGS_RELEASE "-Wall -Wno-switch -O2")
    set(CMAKE_CXX_FLAGS_DEBUG  "-Wall -Wno-switch -g3 -ggdb -O0" CACHE STRING "Debug options." FORCE)
endif(NOT MSVC)

include(FeatureSummary)
set(KF5_MIN_VERSION "5.90.0")
set(REQUIRED_QT_VERSION "5.15.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")
find_package(ECM ${KF5_MIN_VERSION} NO_MODULE REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )


include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMSetupVersion)
include(ECMAddTests)


find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Widgets PrintSupport)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    Crash
    Config
    ConfigWidgets
    DocTools
    GuiAddons
    ItemViews
    NotifyConfig
    NewStuff
    Notifications
    WindowSystem
    XmlGui
)
include_directories (${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} )

find_package(Phonon4Qt${QT_MAJOR_VERSION} 4.6.60 NO_MODULE REQUIRED)

find_package(LibKEduVocDocument REQUIRED)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)


add_subdirectory(doc)
add_subdirectory(src)

if(BUILD_TESTING)
    find_package(Qt${QT_MAJOR_VERSION}Test REQUIRED)

    add_subdirectory(autotests)
endif()

ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()
install(FILES org.kde.kwordquiz.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
ecm_add_test(blanktest.cpp ../src/blankanswer.cpp TEST_NAME blankTest LINK_LIBRARIES Qt::Test)
ecm_add_test(youranswertest.cpp ../src/blankanswer.cpp TEST_NAME yourAnswerTest LINK_LIBRARIES Qt::Test)

=== src/CMakeLists.txt ===

add_subdirectory( pics ) # private icons
add_subdirectory( icons ) # global icons
add_subdirectory( examples )

# include_directories( ${LIBKDEEDU_INCLUDE_DIR} )

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${PHONON_INCLUDES}
)

########### next target ###############

ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KWORDQUIZ VERSION_HEADER kwordquiz_version.h)

set(kwordquiz_SRCS
    blankanswer.cpp
    dlglanguage.cpp
    dlglanguage.h
    dlgspecchar.cpp
    dlgspecchar.h
    filterproxysearchline.cpp
    filterproxysearchline.h
    flashview.cpp
    flashview.h
    kwordquiz.cpp
    kwordquiz.h
    kwordquizprefs.cpp
    kwordquizprefs.h
    kwqcardscene.cpp
    kwqcardscene.h
    kwqcardview.cpp
    kwqcardview.h
    kwqcleardialog.cpp
    kwqcleardialog.h
    kwqcommands.cpp
    kwqcommands.h
    kwqpixmapitem.cpp
    kwqpixmapitem.h
    kwqquizmodel.cpp
    kwqquizmodel.h
    kwqquizview.cpp
    kwqquizview.h
    kwqscorewidget.cpp
    kwqscorewidget.h
    kwqsortfiltermodel.cpp
    kwqsortfiltermodel.h
    kwqtabledelegate.cpp
    kwqtabledelegate.h
    kwqtablemodel.cpp
    kwqtablemodel.h
    kwqtableview.cpp
    kwqtableview.h
    kwqtutor.cpp
    kwqtutorflashcard.cpp
    kwqtutorflashcard.h
    kwqtutor.h
    kwqtutorprefs.cpp
    kwqtutorprefs.h
    main.cpp
    multipleview.cpp
    multipleview.h
    prefcardappearance.cpp
    prefcardappearance.h
    prefcharacter.cpp
    prefcharacter.h
    prefeditor.cpp
    prefeditor.h
    prefgeneral.cpp
    prefgeneral.h
    prefquiz.cpp
    prefquiz.h
    preftutor.cpp
    preftutor.h
    qaview.cpp
    qaview.h
    wqprintdialogpage.cpp
    wqprintdialogpage.h
   )


ki18n_wrap_ui(kwordquiz_SRCS
   columndialogbase.ui
   flashviewbase.ui
   multipleviewbase.ui
   qaviewbase.ui
   prefeditorbase.ui
   prefquizbase.ui
   kwqscorewidgetbase.ui
   prefcharacterbase.ui
   prefcardappearancebase.ui
   prefgeneralbase.ui
   preftutorbase.ui
   cleardialogbase.ui
   )

kconfig_add_kcfg_files(kwordquiz_SRCS prefs.kcfgc documentsettings.kcfgc)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*-apps-kwordquiz.png")
ecm_add_app_icon(kwordquiz_SRCS ICONS ${ICONS_SRCS})

add_executable(kwordquiz ${kwordquiz_SRCS})

target_link_libraries(kwordquiz
    Qt::Core
    Qt::PrintSupport
    Qt::Widgets
    KF5::Crash
    KF5::ConfigCore
    KF5::I18n
    KF5::ItemViews
    KF5::NewStuffWidgets
    KF5::Notifications
    KF5::NotifyConfig
    KF5::XmlGui
    KF5::GuiAddons
    KF5::WindowSystem
    LibKEduVocDocumentImport__KEduVocDocument
    Phonon::phonon4qt${QT_MAJOR_VERSION}
)

install(TARGETS kwordquiz  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS org.kde.kwordquiz.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES kwordquiz.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR} )
install( FILES kwordquiz.knsrc  DESTINATION  ${KDE_INSTALL_KNSRCDIR} )
install( FILES kwordquiz.notifyrc  DESTINATION  ${KDE_INSTALL_KNOTIFYRCDIR} )
install(FILES
  kwordquizui.rc
  DESTINATION  ${KDE_INSTALL_KXMLGUIDIR}/kwordquiz)

=== debian/changelog ===
kwordquiz (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:24 +0100

kwordquiz (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:06:51 +0100

kwordquiz (4:22.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove inactive Uploaders.
  * Update standards version to 4.6.1, no changes needed.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.15.0
    - bump KF packages to 5.90.0
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Rename debian/examples to debian/kwordquiz.examples, to be consistent with
    the existing debhelper files.

 -- Pino Toscano <pino@debian.org>  Fri, 16 Dec 2022 21:57:45 +0100

kwordquiz (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.
  * Also install example files.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 06 Apr 2022 22:00:04 +0200

kwordquiz (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:34:13 +0900

kwordquiz (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 10:50:22 +0900

=== debian/control ===
Source: kwordquiz
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkeduvocdocument-dev,
               libkf5config-dev (>= 5.90.0~),
               libkf5configwidgets-dev (>= 5.90.0~),
               libkf5crash-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5guiaddons-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5itemviews-dev (>= 5.90.0~),
               libkf5newstuff-dev (>= 5.90.0~),
               libkf5notifications-dev (>= 5.90.0~),
               libkf5notifyconfig-dev (>= 5.90.0~),
               libkf5windowsystem-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libphonon4qt5-dev (>= 4:4.6.60~),
               libphonon4qt5experimental-dev,
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://edu.kde.org/kwordquiz
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwordquiz
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwordquiz.git

Package: kwordquiz
Architecture: any
Depends: kdeedu-kvtml-data, ${misc:Depends}, ${shlibs:Depends},
Suggests: khelpcenter,
Description: flashcard learning program
 KWordQuiz is a general purpose flashcard program, typically used for
 vocabulary training.
 .
 KWordQuiz can open vocabulary data in various formats, including the kvtml
 format used by KDE programs such as Parley, the WQL format used by
 WordQuiz for Windows, the xml.gz format used by Pauker, and CSV text.
 .
 This package is part of the KDE education module.

## kwordquiz 23.08.0

=== debian/changelog ===
kwordquiz (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:00:20 +0100

kwordquiz (4:23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Update build depends:
    - add libqt5svg5-dev (>= 5.15.0~)
    - add qtdeclarative5-dev (>= 5.15.0~)
    - add qtmultimedia5-dev (>= 5.15.0~)
    - add qtquickcontrols2-5-dev (>= 5.15.0~)
    - add kirigami2-dev
    - add kirigami-addons-dev

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:39:47 +0100

kwordquiz (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:55:41 +0100

kwordquiz (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:02:01 +0100

kwordquiz (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:44:35 +0000

kwordquiz (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:27:19 -0600

kwordquiz (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:20:30 +0000

kwordquiz (4:22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Build dep on libkeduvocdocument-dev (>= 4:22.12.0~)

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Jan 2023 18:04:21 +0000

kwordquiz (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:16:20 +0000

kwordquiz (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:12:32 +0000

kwordquiz (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:55:24 +0000

kwordquiz (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:15:22 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: kwordquiz
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.90.0~),
                gettext,
-               libkeduvocdocument-dev,
+               kirigami-addons-dev,
+               kirigami2-dev,
+               libkeduvocdocument-dev (>= 4:23.08.0~),
                libkf5config-dev (>= 5.90.0~),
                libkf5configwidgets-dev (>= 5.90.0~),
                libkf5crash-dev (>= 5.90.0~),
@@ -21,19 +24,23 @@
                libkf5notifyconfig-dev (>= 5.90.0~),
                libkf5windowsystem-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),
-               libphonon4qt5-dev (>= 4:4.6.60~),
+               libphonon4qt5-dev (>= 4.6.60~),
                libphonon4qt5experimental-dev,
+               libqt5svg5-dev (>= 5.15.0~),
                qtbase5-dev (>= 5.15.0~),
-Standards-Version: 4.6.2
+               qtdeclarative5-dev (>= 5.15.0~),
+               qtmultimedia5-dev (>= 5.15.0~),
+               qtquickcontrols2-5-dev (>= 5.15.0~),
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/kwordquiz
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwordquiz
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwordquiz.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwordquiz
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwordquiz
 
 Package: kwordquiz
 Architecture: any
-Depends: kdeedu-kvtml-data, ${misc:Depends}, ${shlibs:Depends},
-Suggests: khelpcenter,
+Depends: kdeedu-kvtml-data, ${misc:Depends}, ${shlibs:Depends}
+Suggests: khelpcenter
 Description: flashcard learning program
  KWordQuiz is a general purpose flashcard program, typically used for
  vocabulary training.

## kwordquiz 23.08.1

=== debian/changelog ===
kwordquiz (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:05:19 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                gettext,
                kirigami-addons-dev,
                kirigami2-dev,
-               libkeduvocdocument-dev (>= 4:23.08.0~),
+               libkeduvocdocument-dev (>= 4:23.08.1~),
                libkf5config-dev (>= 5.90.0~),
                libkf5configwidgets-dev (>= 5.90.0~),
                libkf5crash-dev (>= 5.90.0~),

## kwordquiz 23.08.4

=== debian/changelog ===
kwordquiz (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:21:32 +0000

kwordquiz (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:41:53 +0000

kwordquiz (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:37:47 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                gettext,
                kirigami-addons-dev,
                kirigami2-dev,
-               libkeduvocdocument-dev (>= 4:23.08.1~),
+               libkeduvocdocument-dev (>= 4:23.08.4~),
                libkf5config-dev (>= 5.90.0~),
                libkf5configwidgets-dev (>= 5.90.0~),
                libkf5crash-dev (>= 5.90.0~),

## kwordquiz 23.08.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "23")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "5")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kwordquiz VERSION ${RELEASE_SERVICE_VERSION})

if(NOT MSVC)
    set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-Wall -Wno-switch -O2 -g")
    set(CMAKE_CXX_FLAGS_RELEASE "-Wall -Wno-switch -O2")
    set(CMAKE_CXX_FLAGS_DEBUG  "-Wall -Wno-switch -g3 -ggdb -O0" CACHE STRING "Debug options." FORCE)
endif(NOT MSVC)

include(FeatureSummary)
set(KF5_MIN_VERSION "5.92.0")
set(REQUIRED_QT_VERSION "5.15.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")
find_package(ECM ${KF5_MIN_VERSION} NO_MODULE REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )


include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(KDEClangFormat)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMDeprecationSettings)
include(KDEGitCommitHooks)

if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} NO_MODULE COMPONENTS
    Core
    Widgets
    PrintSupport
    Quick
    QuickControls2
    Qml
    Svg
    Multimedia
    Xml
)
set_package_properties(Qt${QT_MAJOR_VERSION} PROPERTIES
    TYPE REQUIRED
    PURPOSE "Base application components"
)

find_package(KF${QT_MAJOR_VERSION} ${KF5_MIN_VERSION} COMPONENTS
    I18n
    Crash
    Config
    DocTools
    NotifyConfig
    NewStuff
    Notifications
    Kirigami2
    DBusAddons
)
set_package_properties(KF${QT_MAJOR_VERSION} PROPERTIES
    TYPE REQUIRED
    PURPOSE "Base application components"
)

find_package(KF${QT_MAJOR_VERSION}KirigamiAddons 0.9.0)
set_package_properties(KF${QT_MAJOR_VERSION}KirigamiAddons PROPERTIES
    TYPE REQUIRED
    PURPOSE "Kirigami addons application UI framework"
)

include_directories (${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} )

find_package(LibKEduVocDocument REQUIRED)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
ecm_set_disabled_deprecation_versions(QT 6.4  KF 5.89.0)

add_subdirectory(doc)
add_subdirectory(src)

if(BUILD_TESTING)
    find_package(Qt${QT_MAJOR_VERSION}Test REQUIRED)

    add_subdirectory(autotests)
endif()

ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()

install(FILES org.kde.kwordquiz.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.kwordquiz.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== doc/CMakeLists.txt ===
########### install files ###############
#
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kwordquiz)

=== src/CMakeLists.txt ===

add_subdirectory(pics) # private icons
add_subdirectory(icons) # global icons
add_subdirectory(examples)

# include_directories( ${LIBKDEEDU_INCLUDE_DIR} )

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

########### next target ###############

ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX KWORDQUIZ
    VERSION_HEADER kwordquiz_version.h
)

set(kwordquiz_SRCS
    main.cpp
    kwqcardmodel.h
    kwqcardmodel.cpp
    kwqdocumentmodel.h
    kwqdocumentmodel.cpp
    kwqrandomsortmodel.h
    kwqrandomsortmodel.cpp
    exporter.h
    exporter.cpp
    audioprober.h
    audioprober.cpp
    blankanswer.h
    blankanswer.cpp
    fileopener.h
    fileopener.cpp
    languagelistmodel.h
    languagelistmodel.cpp
    resources.qrc
)

kconfig_add_kcfg_files(kwordquiz_SRCS GENERATE_MOC prefs.kcfgc documentsettings.kcfgc stateprefs.kcfgc)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*-apps-kwordquiz.png")
ecm_add_app_icon(kwordquiz_SRCS ICONS ${ICONS_SRCS})

add_executable(kwordquiz ${kwordquiz_SRCS})

target_link_libraries(kwordquiz
    Qt::Core
    Qt::Quick
    Qt::QuickControls2
    Qt::PrintSupport
    Qt::Svg
    Qt::Multimedia
    KF${KF_MAJOR_VERSION}::Crash
    KF${KF_MAJOR_VERSION}::ConfigCore
    KF${KF_MAJOR_VERSION}::ConfigGui
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::NewStuffCore
    KF${KF_MAJOR_VERSION}::Notifications
    KF${KF_MAJOR_VERSION}::NotifyConfig
    KF${KF_MAJOR_VERSION}::DBusAddons
    LibKEduVocDocumentImport__KEduVocDocument
)

install(TARGETS kwordquiz ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(PROGRAMS org.kde.kwordquiz.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES kwordquiz.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES kwordquiz.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})
install(FILES kwordquiz.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

=== debian/changelog ===
kwordquiz (4:23.08.5-0ubuntu5) oracular; urgency=medium

  * Fix kirigami-addons depend to kf5 version. 

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 17 Sep 2024 05:56:56 -0700

kwordquiz (4:23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5gui5t64,
    libqt5printsupport5t64, libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:44:09 +0200

kwordquiz (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:11:42 +0000

kwordquiz (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:31:29 +0000

kwordquiz (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:21:24 -0700

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.90.0~),
                gettext,
-               kirigami-addons-dev,
+               kf5-kirigami-addons-dev,
                kirigami2-dev,
-               libkeduvocdocument-dev (>= 4:23.08.4~),
+               libkeduvocdocument-dev (>= 4:23.08.5~),
                libkf5config-dev (>= 5.90.0~),
                libkf5configwidgets-dev (>= 5.90.0~),
                libkf5crash-dev (>= 5.90.0~),

## kwordquiz 24.08.2

=== debian/changelog ===
kwordquiz (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 18:00:50 -0500

kwordquiz (4:24.08.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update build dependencies and rules for KF6.
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Sat, 02 Nov 2024 14:15:23 -0500

=== debian/control ===
Source: kwordquiz
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               kirigami-addons-dev,
               libkeduvocdocument-dev (>= 4:24.08.2~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6guiaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6itemviews-dev (>= 6.0.0~),
               libkf6newstuff-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6notifyconfig-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libkirigami-dev (>= 6.0.0~),
               libphonon4qt6-dev,
               libphonon4qt6experimental-dev,
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
               qt6-multimedia-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://edu.kde.org/kwordquiz
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwordquiz
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwordquiz

Package: kwordquiz
Architecture: any
Depends: kdeedu-kvtml-data, ${misc:Depends}, ${shlibs:Depends},
Suggests: khelpcenter,
Description: flashcard learning program
 KWordQuiz is a general purpose flashcard program, typically used for
 vocabulary training.
 .
 KWordQuiz can open vocabulary data in various formats, including the kvtml
 format used by KDE programs such as Parley, the WQL format used by
 WordQuiz for Windows, the xml.gz format used by Pauker, and CSV text.
 .
 This package is part of the KDE education module.

## kwordquiz 24.12.0

=== debian/changelog ===
kwordquiz (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Dec 2024 00:40:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: kwordquiz
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               kirigami-addons-dev,
+               kirigami-addons-dev (>= 0.11.0~),
                libkeduvocdocument-dev (>= 4:24.08.2~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
@@ -34,8 +33,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/kwordquiz
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwordquiz
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwordquiz
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwordquiz
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwordquiz.git
 
 Package: kwordquiz
 Architecture: any

## kwordquiz 24.12.1

=== debian/changelog ===
kwordquiz (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:39:33 +0000

kwordquiz (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:22:05 +0000

kwordquiz (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:15:15 +0000

kwordquiz (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 12:50:00 +0000

kwordquiz (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:47:11 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: kwordquiz
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               kirigami-addons-dev (>= 0.11.0~),
-               libkeduvocdocument-dev (>= 4:24.08.2~),
+               kirigami-addons-dev,
+               libkeduvocdocument-dev (>= 4:24.12.1~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),
@@ -33,8 +34,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/kwordquiz
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwordquiz
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwordquiz.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwordquiz
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwordquiz
 
 Package: kwordquiz
 Architecture: any

## kwordquiz 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kwordquiz VERSION ${RELEASE_SERVICE_VERSION})

if(NOT MSVC)
    set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-Wall -Wno-switch -O2 -g")
    set(CMAKE_CXX_FLAGS_RELEASE "-Wall -Wno-switch -O2")
    set(CMAKE_CXX_FLAGS_DEBUG  "-Wall -Wno-switch -g3 -ggdb -O0" CACHE STRING "Debug options." FORCE)
endif(NOT MSVC)

include(FeatureSummary)
set(KF_MIN_VERSION "5.240.0")
set(REQUIRED_QT_VERSION "6.5.0")
find_package(ECM ${KF_MIN_VERSION} NO_MODULE REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )


include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(KDEClangFormat)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMDeprecationSettings)
include(KDEGitCommitHooks)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE COMPONENTS
    Core
    Widgets
    PrintSupport
    Quick
    QuickControls2
    Qml
    Svg
    Multimedia
    Xml
)
set_package_properties(Qt6 PROPERTIES
    TYPE REQUIRED
    PURPOSE "Base application components"
)

find_package(KF6 ${KF_MIN_VERSION} COMPONENTS
    I18n
    Crash
    Config
    DocTools
    NewStuff
    Kirigami
    DBusAddons
)
set_package_properties(KF6 PROPERTIES
    TYPE REQUIRED
    PURPOSE "Base application components"
)

find_package(KF6KirigamiAddons 0.11.0)
set_package_properties(KF6KirigamiAddons PROPERTIES
    TYPE REQUIRED
    PURPOSE "Kirigami addons application UI framework"
)

include_directories (${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} )

find_package(LibKEduVocDocument REQUIRED)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
ecm_set_disabled_deprecation_versions(QT 6.8.0  KF 6.5.0)

add_subdirectory(doc)
add_subdirectory(src)

if(BUILD_TESTING)
    find_package(Qt6Test REQUIRED)

    add_subdirectory(autotests)
endif()

ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()

install(FILES org.kde.kwordquiz.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.kwordquiz.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kwordquiz (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:49:16 +0000

kwordquiz (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:23:09 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                kirigami-addons-dev,
-               libkeduvocdocument-dev (>= 4:24.12.1~),
+               libkeduvocdocument-dev (>= 4:24.12.3~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),

## kwordquiz 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kwordquiz VERSION ${RELEASE_SERVICE_VERSION})
@@ -74,9 +74,7 @@
 include_directories (${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} )
 
 find_package(LibKEduVocDocument REQUIRED)
-add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
-add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
-ecm_set_disabled_deprecation_versions(QT 6.8.0  KF 6.5.0)
+ecm_set_disabled_deprecation_versions(QT 6.8.0  KF 6.10.0)
 
 add_subdirectory(doc)
 add_subdirectory(src)

=== debian/changelog ===
kwordquiz (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:29:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: kwordquiz
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               kirigami-addons-dev,
-               libkeduvocdocument-dev (>= 4:24.12.3~),
+               kirigami-addons-dev (>= 0.11.0~),
+               libkeduvocdocument-dev (>= 4:24.08.2~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),
@@ -31,11 +30,11 @@
                qt6-base-dev (>= 6.5.0~),
                qt6-multimedia-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/kwordquiz
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwordquiz
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwordquiz
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwordquiz
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwordquiz.git
 
 Package: kwordquiz
 Architecture: any

## kwordquiz 25.04.3

=== debian/changelog ===
kwordquiz (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:53:59 +0100

kwordquiz (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:58:30 +0100

kwordquiz (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:16:12 +0100

kwordquiz (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:00:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: kwordquiz
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               kirigami-addons-dev (>= 0.11.0~),
-               libkeduvocdocument-dev (>= 4:24.08.2~),
+               kirigami-addons-dev,
+               libkeduvocdocument-dev (>= 4:25.04.3~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),
@@ -30,11 +31,11 @@
                qt6-base-dev (>= 6.5.0~),
                qt6-multimedia-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/kwordquiz
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwordquiz
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwordquiz.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwordquiz
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwordquiz
 
 Package: kwordquiz
 Architecture: any

## kwordquiz 25.07.80

=== debian/changelog ===
kwordquiz (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:23:35 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                kirigami-addons-dev,
-               libkeduvocdocument-dev (>= 4:25.04.3~),
+               libkeduvocdocument-dev (>= 4:25.07.80~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),

## kwordquiz 25.07.90

=== debian/changelog ===
kwordquiz (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:58:17 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                kirigami-addons-dev,
-               libkeduvocdocument-dev (>= 4:25.07.80~),
+               libkeduvocdocument-dev (>= 4:25.07.90~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),

## kwordquiz 25.08.0

=== debian/changelog ===
kwordquiz (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:58:44 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                kirigami-addons-dev,
-               libkeduvocdocument-dev (>= 4:25.07.90~),
+               libkeduvocdocument-dev (>= 4:25.08.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),

## kwordquiz 25.08.1

=== autotests/CMakeLists.txt ===
ecm_add_test(blanktest.cpp ../src/blankanswer.cpp TEST_NAME blankTest LINK_LIBRARIES Qt::Test Qt::Qml)
ecm_add_test(youranswertest.cpp ../src/blankanswer.cpp TEST_NAME yourAnswerTest LINK_LIBRARIES Qt::Test Qt::Qml)

=== src/examples/CMakeLists.txt ===

install( FILES example.kvtml french_verbs.kvtml fill_in_the_blank.kvtml us_states_and_capitals.kvtml  DESTINATION  ${KDE_INSTALL_DATADIR}/kwordquiz/examples )

=== debian/changelog ===
kwordquiz (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:12:38 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                kirigami-addons-dev,
-               libkeduvocdocument-dev (>= 4:25.08.0~),
+               libkeduvocdocument-dev (>= 4:25.08.1~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem kf6

## kwordquiz 25.08.1+p24.04+vstable+git20250917.0158

=== debian/changelog ===
kwordquiz (4:25.08.1+p24.04+vstable+git20250917.0158-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 17 Sep 2025 01:58:08 +0000

kwordquiz (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:01:40 +0000

kwordquiz (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:30:06 +0000

kwordquiz (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 06 Jul 2025 12:00:03 +0000

kwordquiz (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:00:03 +0000

kwordquiz (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:42:38 +0000

kwordquiz (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:55:49 +0000

kwordquiz (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:23:50 +0000

kwordquiz (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:56:05 +0000

kwordquiz (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:47:53 +0000

kwordquiz (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:43:26 +0000

kwordquiz (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:58:39 +0000

kwordquiz (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:31:02 +0000

kwordquiz (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:02:30 +0000

kwordquiz (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:56:00 +0000

kwordquiz (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:34:51 +0000

kwordquiz (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:59:16 +0000

kwordquiz (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:42:21 +0000

kwordquiz (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:32:52 +0000

kwordquiz (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:12:04 +0000

kwordquiz (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 07:59:04 +0000

kwordquiz (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:50:19 +0000

kwordquiz (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:37:03 +0000

kwordquiz (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:20:28 +0000

kwordquiz (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:56:16 +0000

kwordquiz (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:47:15 +0000

kwordquiz (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:24:11 +0000

kwordquiz (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:00:36 +0000

kwordquiz (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:05:41 +0000

kwordquiz (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:28:19 +0000

kwordquiz (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Sep 2022 10:26:50 +0000

kwordquiz (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:26:14 +0000

kwordquiz (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:13:41 +0000

kwordquiz (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:37:54 +0000

kwordquiz (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:35:41 +0000

kwordquiz (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:43:09 +0000

kwordquiz (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:07:04 +0000

kwordquiz (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 10:56:12 +0000

kwordquiz (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Nov 2021 16:43:10 +0000

kwordquiz (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 07:43:04 +0000

kwordquiz (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:34:50 +0000

kwordquiz (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:45:59 +0000

kwordquiz (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:07:29 +0000

kwordquiz (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 14:24:36 +0000

kwordquiz (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:59:14 +0000

kwordquiz (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:27:01 +0000



## kwordquiz 25.08.1+p24.04+vstable+git20251001.1215

=== debian/changelog ===
kwordquiz (4:25.08.1+p24.04+vstable+git20251001.1215-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 12:15:33 +0000
